--- o3dgc-0~20131011.orig/src/o3dgc_common_lib/CMakeLists.txt
+++ o3dgc-0~20131011/src/o3dgc_common_lib/CMakeLists.txt
@@ -3,5 +3,6 @@ include(${CMAKE_COMMON_INC})
 set(LIB_TYPE "STATIC" CACHE STRING "STATIC, SHARED or MODULE?")
 message("[o3dgc] \t LIB_TYPE " ${LIB_TYPE})
 #set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "-fPIC")
 add_library(o3dgc_common_lib ${PROJECT_CPP_FILES} ${PROJECT_C_FILES} ${PROJECT_INC_FILES} ${PROJECT_INL_FILES})
 
--- o3dgc-0~20131011.orig/src/o3dgc_decode_lib/CMakeLists.txt
+++ o3dgc-0~20131011/src/o3dgc_decode_lib/CMakeLists.txt
@@ -3,6 +3,7 @@ include(${CMAKE_COMMON_INC})
 
 set(LIB_TYPE "STATIC" CACHE STRING "STATIC, SHARED or MODULE?")
 #set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "-fPIC")
 add_library(o3dgc_dec_lib ${PROJECT_CPP_FILES} ${PROJECT_C_FILES} ${PROJECT_INC_FILES} ${PROJECT_INL_FILES})
 include_directories("${${PROJECT_NAME}_SOURCE_DIR}/../o3dgc_common_lib/inc")
 
--- o3dgc-0~20131011.orig/src/o3dgc_encode_lib/CMakeLists.txt
+++ o3dgc-0~20131011/src/o3dgc_encode_lib/CMakeLists.txt
@@ -3,6 +3,7 @@ include(${CMAKE_COMMON_INC})
 
 set(LIB_TYPE "STATIC" CACHE STRING "STATIC, SHARED or MODULE?")
 #set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "-fPIC")
 add_library(o3dgc_enc_lib ${PROJECT_CPP_FILES} ${PROJECT_C_FILES} ${PROJECT_INC_FILES} ${PROJECT_INL_FILES})
 include_directories("${${PROJECT_NAME}_SOURCE_DIR}/../o3dgc_common_lib/inc")
 
